Subject: Re: s2ibis2 error messages

From: [email-masked] (Syed Huq)
Date: Wed, 14 May 97 08:55:24 PDT

----------
X-Sun-Data-Type: text
X-Sun-Data-Description: text
X-Sun-Data-Name: text
X-Sun-Content-Lines: 263

Roland,

I am attaching a mail msg from the reflector where this was
detected and solved earlier. It has to do with naming the
gnd node and decreasing the sweep ranges.(Pls refer to mail).

I also saw the 'Data Begin marker' msg before and I think
it related to wrong syntax in the .s2i file.

Regards,
Syed.

> From [email-masked] Tue May 13 18:09:36 1997
> Date: Tue, 13 May 1997 16:50:49 -0700 (PDT)
> From: Roland James Chang <[email-masked]>
> X-Sender: roland@fraser
> To: [email-masked]
> Subject: s2ibis2 error messages
> Content-Type> : > TEXT/PLAIN> ; > charset=US-ASCII> 
> Content-Transfer-Encoding: QUOTED-PRINTABLE
> 
> first of all, I would like to extend my thanx to all that replied to my
> last email seeking help with the s2ibis2 utility.  I've now obtained the
> s2ibis2 utility and have been playing with it for the past few days. =20
> 
> I am a university student on a work term at a leading supplier of ATM
> components, and am finding it quite challenging to learn the entire IBIS
> modelling standard in the span of a couple of days, so please bear with
> me, if any of my questions sound too simple (or even stupid) :-)
> 
> I've been working through the examples (1-4) provided with the s2ibis2
> utility but I cannot get example 2 to work (which deals with a simple
> tristate buffer) It seems to be running into DC convergence problems.
> This is the output that I get when I run the s2ibis2 utility on example 2
> (with tristate.s2i setup for HSPICE):
> 
> ***************************************************************************=
> *
> * session on an xterm follows
> ***************************************************************************=
> *
> 17 <chang> s2ibis2.sun4 tristate.s2i
> 
> s2ibis2.sun4 v1.1 -- North Carolina State University
> s2ibis2.sun4: Reading input file tristate...done.
> s2ibis2.sun4: Analyzing component MCM Trisate Driver .
> s2ibis2.sun4: Starting HSpice job with input putout.spi.
> s2ibis2.sun4: Starting HSpice job with input punout.spi.
> s2ibis2.sun4: Starting HSpice job with input puxout.spi.
> s2ibis2.sun4: Starting HSpice job with input dutout.spi.
> s2ibis2.sun4: Starting HSpice job with input dunout.spi.
> s2ibis2.sun4: Spice run (MIN) aborted.  See file dunout.msg for
> information.
>          continuing with MAX run.
> s2ibis2.sun4: Starting HSpice job with input duxout.spi.
> s2ibis2.sun4: Starting HSpice job with input pdtout.spi.
> s2ibis2.sun4: Starting HSpice job with input pdnout.spi.
> s2ibis2.sun4: Starting HSpice job with input pdxout.spi.
> s2ibis2.sun4: Starting HSpice job with input ddtout.spi.
> s2ibis2.sun4: Starting HSpice job with input ddnout.spi.
> s2ibis2.sun4: Starting HSpice job with input ddxout.spi.
> s2ibis2.sun4: Starting HSpice job with input pctout.spi.
> s2ibis2.sun4: Spice run (TYP) aborted.  See file pctout.msg for
> information.
>          Curve power clamp not generated.
> s2ibis2.sun4: Starting HSpice job with input gctout.spi.
> s2ibis2.sun4: Starting HSpice job with input gcnout.spi.
> s2ibis2.sun4: Starting HSpice job with input gcxout.spi.
> s2ibis2.sun4: Starting HSpice job with input rutout.spi.
> s2ibis2.sun4: Starting HSpice job with input runout.spi.
> s2ibis2.sun4: Starting HSpice job with input ruxout.spi.
> s2ibis2.sun4: Starting HSpice job with input rdtout.spi.
> s2ibis2.sun4: Starting HSpice job with input rdnout.spi.
> s2ibis2.sun4: Starting HSpice job with input rdxout.spi.
> s2ibis2.sun4: Starting HSpice job with input a00out.spi.
> s2ibis2.sun4: Starting HSpice job with input b00out.spi.
> s2ibis2.sun4: Starting HSpice job with input c00out.spi.
> s2ibis2.sun4: Starting HSpice job with input x00out.spi.
> s2ibis2.sun4: Starting HSpice job with input y00out.spi.
> s2ibis2.sun4: Starting HSpice job with input z00out.spi.
> s2ibis2.sun4: Error in analysis for pin out.
> s2ibis2.sun4: Opening file tristate.ibs for writing...done.
> 18 <chang> cat dunout.msg
> >error          ***** hspice job aborted
>         5.7 real         2.4 user         0.4 sys
> 19 <chang> cat pctout.msg
> >error          ***** hspice job aborted
>         4.1 real         1.3 user         0.2 sys
> 20 <chang>
> 
> ***********************************************************************
> * End Xterm session
> ***********************************************************************
> 
> I also found the following inside of dunout.out:
> 
> 
> ***********************************************************************
> * excerpt from dunout.out
> ***********************************************************************
> =2E
> =2E
> =2E
> **warning** both nodes of source     0:vgnds2i
>             are connected together
> 
> **warning** negative-mos conductance =3D     0:mx22             iter=3D   5=
> 2
> vds,vgs,vbs =3D      -2.74         0.109         0.861
>  gm,gds,gmbs,ids=3D     2.147E-03     7.629E-05    -1.532E-04     3.768E-03
> convergence problems in dc sweep curves at   3.5000
>  resimulating with dc convergence controls
> 
> 
> **diagnostic** dc convergence failure,
> resetting dcon option to 1 and retrying
> 
> 
> **diagnostic** dc convergence failure,
> resetting dcon option to 2 and retrying.
> 
> 
> **diagnostic** although this circuit has failed to converge
> to gmindc=3D   1.000E-12, it did converge to a gmindc=3D   1.000E-10
> for most circuits a value of gmindc 1e-7 or less,  is acceptable
> 
> 
> 
> 
> *** error ***: no convergence in dc sweep curves at   3.5000
> 
>  ### note2  represents   cm**2*um/v**2-sec  ###
> 
>  ### @      represents   v**   ###
> 
>    2*** diffusion layer process parameters ***
>     rshm=3D   2.10  ohms/sq      cjm=3D 931.91u f/m**2       cjw=3D 156.37p=
>  f/m
>      ijs=3D  10.00n amp/m         pj=3D 850.00m volts        pjw=3D 850.00m
> volts
>      mj0=3D 487.07m              mjw=3D 478.48m              wdf=3D   0.
> meters
>       ds=3D   0.    meters
> 
>    3*** temperature coefficient parameters ***
>      tcv=3D   0.    meters      ltcv=3D   0.    meters      wtcv=3D   0.
> meters
>      bex=3D  -1.50  meters      lbex=3D   0.    meters      wbex=3D   0.
> meters
>      fex=3D   0.    meters      lfex=3D   0.    meters      wfex=3D   0.
> meters
>      trs=3D   0.    meters      ltrs=3D   0.    meters      wtrs=3D   0.
> meters
>      trd=3D   0.    meters      ltrd=3D   0.    meters      wtrd=3D   0.
> meters
> 
> **warning** both nodes of source     0:vgnds2i
>      wnb=3D   0.    um/v         nd0=3D   0.    1/v          lnd=3D   0.   =
>  um/v
>      wnd=3D   0.    um/v       k2lim=3D   0.             version=3D  95.20
> 
>  ### note1  represents   cm**2/v**2-sec   ###
> 
>  ### note2  represents   cm**2*um/v**2-sec  ###
> 
>  ### @      represents   v**   ###
> 
>    2*** diffusion layer process parameters ***
>     rshm=3D   2.10  ohms/sq      cjm=3D 931.91u f/m**2       cjw=3D 156.37p=
>  f/m
>      ijs=3D  10.00n amp/m         pj=3D 850.00m volts        pjw=3D 850.00m
> volts
>      mj0=3D 487.07m              mjw=3D 478.48m              wdf=3D   0.
> meters
>       ds=3D   0.    meters
> 
>    3*** temperature coefficient parameters ***
>      tcv=3D   0.    meters      ltcv=3D   0.    meters      wtcv=3D   0.
> meters
>      bex=3D  -1.50  meters      lbex=3D   0.    meters      wbex=3D   0.
> meters
>      fex=3D   0.    meters      lfex=3D   0.    meters      wfex=3D   0.
> meters
>      trs=3D   0.    meters      ltrs=3D   0.    meters      wtrs=3D   0.
> meters
>      trd=3D   0.    meters      ltrd=3D   0.    meters      wtrd=3D   0.
> meters
> 
> **warning** both nodes of source     0:vgnds2i
>             are connected together
> 
> **warning** negative-mos conductance =3D     0:mx22             iter=3D   5=
> 2
> vds,vgs,vbs =3D      -2.74         0.109         0.861
>  gm,gds,gmbs,ids=3D     2.147E-03     7.629E-05    -1.532E-04     3.768E-03
> convergence problems in dc sweep curves at   3.5000
>  resimulating with dc convergence controls
> 
> 
> **diagnostic** dc convergence failure,
> resetting dcon option to 1 and retrying
> 
> 
> **diagnostic** dc convergence failure,
> resetting dcon option to 2 and retrying.
> 
> 
> **diagnostic** although this circuit has failed to converge
> to gmindc=3D   1.000E-12, it did converge to a gmindc=3D   1.000E-10
> for most circuits a value of gmindc 1e-7 or less,  is acceptable
> 
> 
> 
> 
> *** error ***: no convergence in dc sweep curves at   3.5000
> 
> 
> 
> ******
> * min pullup (output disabled) curve for model tristate_driver
>  ******  dc transfer curves               tnom=3D  25.000 temp=3D 100.000
> ******
> 
> =2E
> =2E
> =2E
> 
> *******************************************************************
> * end excerpt from dunout.out
> *******************************************************************
> 
> (I'm sorry for the length of this email)
> 
> I'm wondering if anyone else has had trouble running example 2?
> If so, was the error the same? and if not does anyone have an explanation
> for why example 2 doesn't run properly?
> 
> And finally, has anyone ever received this error message before?
> 
> "...
> s2ibis2.sun4: Analyzing component S/UNI PLUS PM5347 .
> s2ibis2.sun4: Starting HSpice job with input putoutpi.spi.
> s2ibis2.sun4: Data begin marker transfer not found in output file
> putoutpi.out.
> s2ibis2.sun4: Curve pullup not generated.
> s2ibis2.sun4: Starting HSpice job with input dutoutpi.spi.
> s2ibis2.sun4: Data begin marker transfer not found in output file
> dutoutpi.out.
> s2ibis2.sun4: Curve pullup (output disabled) not generated.
> =2E.."
> 
> Thanx for all your time.
> sincerely,
> 
> roland
> *************************************************************************
> *Roland Chang                          | email: [email-masked]           *
> *Simon Fraser University               |        OR                      *
> *School of Engineering Science         |        [email-masked]  *
> *3rd year Computer Engineering Option  |                                *
> *************************************************************************
> 
> 
----------
X-Sun-Data-Type: mail-file
X-Sun-Data-Name: mail-file
X-Sun-Encoding-Info: uuencode
X-Sun-Content-Lines: 66